Showing mods by HyperSpeeed. Show all

Browse Mods

Block Helper

Supports Minecraft 1.2.5, 1.3.2, 1.4.6, 1.4.7, 1.5.2

Have you been sick of not knowing, which block you look at? Then this mod is the right mod for you! It adds something like Waila, but for 1.2 - 1.5.